package com.example.hamburger;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import androidx.appcompat.app.AppCompatActivity;

public class register extends AppCompatActivity {

    EditText name;//创建账号
    EditText passwd;//创建密码
    EditText ackpasswd;

    @SuppressLint("MissingInflatedId")
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        //这个是获取布局文件的，这里是你下一个页面的布局文件//注意这个是跳转界面的不能设置错，应该是第一个
        setContentView(R.layout.activity_register);

        name=findViewById(R.id.user_name);//获取输入的账号
        passwd=findViewById(R.id.new_passwd);//获取输入的密码
        ackpasswd=findViewById(R.id.ack_passwd);
    }

    public void Register_(){
        //获取按钮
        Button button = (Button) findViewById(R.id.register_);

        //按钮进行监听
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                //监听按钮，如果点击，就跳转
                Intent intent = new Intent();
                //前一个（MainActivity.this）是目前页面，后面一个是要跳转的下一个页面
                intent.setClass(register.this, MainActivity.class);
                startActivity(intent);
            }
        });
    }

    public void Ret(){
        //获取按钮
        Button button = (Button) findViewById(R.id.ret);

        //按钮进行监听
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                //监听按钮，如果点击，就跳转
                Intent intent = new Intent();
                //前一个（MainActivity.this）是目前页面，后面一个是要跳转的下一个页面
                intent.setClass(register.this, MainActivity.class);
                startActivity(intent);
            }
        });
    }

}